## pytables 3.10.2

=== debian/changelog ===
pytables (3.10.2-3) unstable; urgency=medium

  * Standards version bumped to 4.7.2, no changes.
  * debian/control:
    - Drop "Rules-Requires-Root: no", no longer needed.
  * debian/patches:
    - New 0007-numexpr-2.13-compat.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Sep 2025 08:38:20 +0000

pytables (3.10.2-2) unstable; urgency=medium

  * Team upload
  * Make python3-tables-lib Architecture: any again (closes: #1094789)
  * Add Multi-Arch hint to python-tables-doc

 -- Julian Gilbey <jdg@debian.org>  Fri, 31 Jan 2025 10:39:58 +0000

pytables (3.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Update d/watch to use pypi instead of guthub archive.
    In this way also the directories tracked as submodules
    are available.
  * Update d/copyright.
  * debian/patches:
    - Refresh all patches.
  * debian/control:
    - Drop dependencies on numpydoc and typing-extensions.
  * debian/rules:
    - Do not install upstream release notes, not included in the
      upstream tarball.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 08 Jan 2025 00:32:06 +0000

pytables (3.10.1-2) unstable; urgency=medium

  * Drop support for mips64el (see #1091836).
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 02 Jan 2025 19:03:09 +0000
