=== debian/control ===
Source: pytables
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               libblosc-dev,
               libblosc2-dev,
               libbz2-dev,
               libhdf5-dev,
               libjs-jquery-cookie <!nodoc>,
               libjs-mathjax <!nodoc>,
               liblz4-dev,
               liblzo2-dev,
               libsnappy-dev,
               libzstd-dev,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-cpuinfo,
               python3-ipython <!nodoc>,
               python3-numexpr (>= 2.8.7),
               python3-numpy,
               python3-packaging,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-setuptools,
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/pytables
Vcs-Git: https://salsa.debian.org/science-team/pytables.git
Homepage: https://www.pytables.org
Description: Hierarchical database for Python3 based on HDF5
 PyTables is a package for managing hierarchical datasets and designed
 to efficiently cope with extremely large amounts of data.
 .
 It is built on top of the HDF5 library and the NumPy package. It
 features an object-oriented interface that, combined with C extensions
 for the performance-critical parts of the code (generated using
 Cython), makes it a fast, yet extremely easy to use tool for
 interactively save and retrieve very large amounts of data. One
 important feature of PyTables is that it optimizes memory and disk
 resources so that they take much less space (between a factor 3 to 5,
 and more if the data is compressible) than other solutions, like for
 example, relational or object oriented databases.
 .
  - Compound types (records) can be used entirely from Python (i.e. it
    is not necessary to use C for taking advantage of them).
  - The tables are both enlargeable and compressible.
  - I/O is buffered, so you can get very fast I/O, specially with
    large tables.
  - Very easy to select data through the use of iterators over the
    rows in tables. Extended slicing is supported as well.
  - It supports the complete set of NumPy objects.

Package: python3-tables
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numexpr,
         python-tables-data (= ${source:Version}),
         python3-tables-lib (>= ${source:Version}),
         python3-tables-lib (<< ${source:Version}.1~)
Suggests: python3-netcdf4,
          python-tables-doc,
          vitables
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python3-tables-lib
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-tables (= ${source:Version})
Description: ${source:Synopsis} (extension)
 ${source:Extended-Description}
 .
 This package contains the extension built for the Python 3 interpreter.

Package: python-tables-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
         libjs-jquery-cookie
Suggests: xpdf | pdf-viewer,
          www-browser
Multi-Arch: foreign
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package includes the manual in HTML formats.

Package: python-tables-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: ${source:Synopsis} (test data)
 ${source:Extended-Description}
 .
 This package includes data files used for unit testing.
