## pytables 3.11.0

=== debian/changelog ===
pytables (3.11.0-3) unstable; urgency=medium

  * debian/patches:
    - Improve 0008-Fix-blosc2-loading.patch (Closes: #1128984).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Feb 2026 18:08:45 +0000

pytables (3.11.0-2) unstable; urgency=medium

  * Fix d/watch.
  * debian/patches:
    - New 0008-Fix-blosc2-loading.patch (Closes: #1128984).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 26 Feb 2026 21:40:55 +0000

pytables (3.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, changes: priority.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Update d/copyright.
  * debian/patches:
    - Drop 0007-numexpr-2.13-compat.patch.
    - Refresh and renumber remaining patches.
    - New 0007-No-abi3.patch.
  * Update watch file format version to 5.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Feb 2026 10:04:21 +0000
