=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
-Priority: optional
 Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: cython3,
                debhelper-compat (= 13),
@@ -32,7 +31,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-setuptools,
                zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/pytables
 Vcs-Git: https://salsa.debian.org/science-team/pytables.git
 Homepage: https://www.pytables.org
